| Version: 3.3.1

Public Member Functions | Friends | List of all members
wxPropertyGridPageState Class Reference
Class List by Category » wxPropertyGrid

`#include <wx/propgrid/propgridpagestate.h>`

Inheritance diagram for wxPropertyGridPageState:
[legend]

## Detailed Description

Contains low-level property page information (properties, column widths, etc.) of a single wxPropertyGrid or single wxPropertyGridPage.

Generally you should not use this class directly, but instead member functions in wxPropertyGridInterface, wxPropertyGrid, wxPropertyGridPage, and wxPropertyGridManager.

Remarks
  Currently this class is not implemented in wxPython.

##

Library: wxPropertyGrid
Category: wxPropertyGrid

## Public Member Functions
| wxPropertyGridPageState ()
| Default constructor. More...
virtual | ~wxPropertyGridPageState ()
| Destructor. More...
void | CheckColumnWidths (int widthChange=0)
| Makes sure all columns have minimum width. More...
virtual void | DoDelete (wxPGProperty *item, bool doDelete=true)
| Override this member function to add custom behaviour on property deletion. More...
virtual wxPGProperty * | DoInsert (wxPGProperty *parent, int index, wxPGProperty *property)
| Override this member function to add custom behaviour on property insertion. More...
virtual void | DoSetSplitter (int pos, int splitterColumn=0, wxPGSplitterPositionFlags flags=wxPGSplitterPositionFlags::Null)
| This needs to be overridden in grid used the manager so that splitter changes can be propagated to other pages. More...
bool | EnableCategories (bool enable)
void | EnsureVirtualHeight ()
| Make sure virtual height is up-to-date. More...
unsigned int | GetVirtualHeight () const
| Returns (precalculated) height of contained visible properties. More...
unsigned int | GetVirtualHeight ()
| Returns (precalculated) height of contained visible properties. More...
unsigned int | GetActualVirtualHeight () const
| Returns actual height of contained visible properties. More...
unsigned int | GetColumnCount () const
int | GetColumnMinWidth (int column) const
int | GetColumnWidth (unsigned int column) const
wxPropertyGrid * | GetGrid () const
wxPGProperty * | GetLastItem (int flags=wxPG_ITERATE_DEFAULT)
| Returns last item which could be iterated using given flags. More...
const wxPGProperty * | GetLastItem (int flags=wxPG_ITERATE_DEFAULT) const
wxPGProperty * | GetSelection () const
| Returns currently selected property. More...
wxPropertyCategory * | GetPropertyCategory (const wxPGProperty *p) const
int | GetVirtualWidth () const
| Returns combined width of margin and all the columns. More...
int | GetColumnFullWidth (wxPGProperty *p, unsigned int col) const
wxPropertyGridHitTestResult | HitTest (const wxPoint &pt) const
| Returns information about arbitrary position in the grid. More...
bool | IsDisplayed () const
| Returns true if page is visibly displayed. More...
bool | IsInNonCatMode () const
void | VirtualHeightChanged ()
| Called after virtual height needs to be recalculated. More...

## Friends
class | wxPropertyGrid
class | wxPropertyGridInterface
class | wxPropertyGridPage
class | wxPropertyGridManager
class | wxPGProperty
class | wxFlagsProperty
class | wxPropertyGridIteratorBase

## Constructor & Destructor Documentation

## ◆ wxPropertyGridPageState()

wxPropertyGridPageState::wxPropertyGridPageState | ( |  | ) |

Default constructor.

## ◆ ~wxPropertyGridPageState()

virtual wxPropertyGridPageState::~wxPropertyGridPageState | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ CheckColumnWidths()

void wxPropertyGridPageState::CheckColumnWidths | ( | int | widthChange = `0` | ) |

Makes sure all columns have minimum width.

## ◆ DoDelete()

virtual void wxPropertyGridPageState::DoDelete | ( | wxPGProperty * | item,
|  | bool | doDelete = `true`
| ) |  |
| virtual

Override this member function to add custom behaviour on property deletion.

## ◆ DoInsert()

virtual wxPGProperty* wxPropertyGridPageState::DoInsert | ( | wxPGProperty * | parent,
|  | int | index,
|  | wxPGProperty * | property
| ) |  |
| virtual

Override this member function to add custom behaviour on property insertion.

## ◆ DoSetSplitter()

virtual void wxPropertyGridPageState::DoSetSplitter | ( | int | pos,
|  | int | splitterColumn = `0`,
|  | wxPGSplitterPositionFlags | flags = `wxPGSplitterPositionFlags::Null`
| ) |  |
| virtual

This needs to be overridden in grid used the manager so that splitter changes can be propagated to other pages.

## ◆ EnableCategories()

bool wxPropertyGridPageState::EnableCategories | ( | bool | enable | ) |

## ◆ EnsureVirtualHeight()

void wxPropertyGridPageState::EnsureVirtualHeight | ( |  | ) |

Make sure virtual height is up-to-date.

## ◆ GetActualVirtualHeight()

unsigned int wxPropertyGridPageState::GetActualVirtualHeight | ( |  | ) | const
| inline

Returns actual height of contained visible properties.

Remarks
  Mostly used for internal diagnostic purposes.

## ◆ GetColumnCount()

unsigned int wxPropertyGridPageState::GetColumnCount | ( |  | ) | const

## ◆ GetColumnFullWidth()

int wxPropertyGridPageState::GetColumnFullWidth | ( | wxPGProperty * | p,
|  | unsigned int | col
| ) |  | const

## ◆ GetColumnMinWidth()

int wxPropertyGridPageState::GetColumnMinWidth | ( | int | column | ) | const

## ◆ GetColumnWidth()

int wxPropertyGridPageState::GetColumnWidth | ( | unsigned int | column | ) | const

## ◆ GetGrid()

wxPropertyGrid* wxPropertyGridPageState::GetGrid | ( |  | ) | const

## ◆ GetLastItem() [1/2]

wxPGProperty* wxPropertyGridPageState::GetLastItem | ( | int | flags = `wxPG_ITERATE_DEFAULT` | ) |

Returns last item which could be iterated using given flags.

Parameters

  flags | wxPropertyGridIterator Flags

## ◆ GetLastItem() [2/2]

const wxPGProperty* wxPropertyGridPageState::GetLastItem | ( | int | flags = `wxPG_ITERATE_DEFAULT` | ) | const

## ◆ GetPropertyCategory()

wxPropertyCategory* wxPropertyGridPageState::GetPropertyCategory | ( | const wxPGProperty * | p | ) | const

## ◆ GetSelection()

wxPGProperty* wxPropertyGridPageState::GetSelection | ( |  | ) | const

Returns currently selected property.

## ◆ GetVirtualHeight() [1/2]

unsigned int wxPropertyGridPageState::GetVirtualHeight | ( |  | ) |

Returns (precalculated) height of contained visible properties.

## ◆ GetVirtualHeight() [2/2]

unsigned int wxPropertyGridPageState::GetVirtualHeight | ( |  | ) | const

Returns (precalculated) height of contained visible properties.

## ◆ GetVirtualWidth()

int wxPropertyGridPageState::GetVirtualWidth | ( |  | ) | const

Returns combined width of margin and all the columns.

## ◆ HitTest()

wxPropertyGridHitTestResult wxPropertyGridPageState::HitTest | ( | const wxPoint & | pt | ) | const

Returns information about arbitrary position in the grid.

Parameters

  pt | Logical coordinates in the virtual grid space. Use wxScrolled<T>::CalcUnscrolledPosition() if you need to translate a scrolled position into a logical one.

## ◆ IsDisplayed()

bool wxPropertyGridPageState::IsDisplayed | ( |  | ) | const
| inline

Returns true if page is visibly displayed.

## ◆ IsInNonCatMode()

bool wxPropertyGridPageState::IsInNonCatMode | ( |  | ) | const

## ◆ VirtualHeightChanged()

void wxPropertyGridPageState::VirtualHeightChanged | ( |  | ) |

Called after virtual height needs to be recalculated.

## Friends And Related Function Documentation

## ◆ wxFlagsProperty

friend class wxFlagsProperty
| friend

## ◆ wxPGProperty

friend class wxPGProperty
| friend

## ◆ wxPropertyGrid

friend class wxPropertyGrid
| friend

## ◆ wxPropertyGridInterface

friend class wxPropertyGridInterface
| friend

## ◆ wxPropertyGridIteratorBase

friend class wxPropertyGridIteratorBase
| friend

## ◆ wxPropertyGridManager

friend class wxPropertyGridManager
| friend

## ◆ wxPropertyGridPage

friend class wxPropertyGridPage
| friend